=== Externals/expr/CMakeLists.txt ===
add_library(expr INTERFACE)
target_include_directories(expr INTERFACE include/)
