=== debian/changelog ===
dolphin-emu (2503+dfsg-1+deb13u1) trixie; urgency=medium

  * Remove the dfsg repack suffix from DOLPHIN_WC_DESCRIBE (closes: #1094989).
  * Look for locale files in the correct directory (closes: #1108687).
  * Switch debian-branch to trixie.

 -- Jordi Mallach <jordi@debian.org>  Thu, 21 Aug 2025 14:00:17 +0200

dolphin-emu (2503+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Disable imgui/implot patches and refresh the rest.
  * Revert to building against vendored imgui, as current
    dolphin requires a newer version.
  * Explicitly build against vendored mbedtls.
  * Drop Build-Depends on embedtls.
  * Update DOLPHIN_WC_DESCRIBE and DOLPHIN_WC_REVISION.

 -- Jordi Mallach <jordi@debian.org>  Mon, 07 Apr 2025 22:42:34 +0200
